package kr.co.vividnext.sodalive.admin.audition.role

import com.querydsl.core.annotations.QueryProjection

data class GetAuditionRoleApplicantResponse(
    val totalCount: Int,
    val items: List<GetAuditionRoleApplicantItem>
)

data class GetAuditionRoleApplicantItem @QueryProjection constructor(
    val applicantId: Long,
    val nickname: String,
    val profileImageUrl: String,
    val phoneNumber: String,
    val voiceUrl: String,
    val voteCount: Long
)
