package kr.co.vividnext.sodalive.admin.marketing

import com.querydsl.core.annotations.QueryProjection
import kr.co.vividnext.sodalive.marketing.AdMediaPartnerType

data class GetAdminAdMediaPartnerResponse(
    val totalCount: Int,
    val items: List<GetAdminAdMediaPartnerResponseItem>
)

data class GetAdminAdMediaPartnerResponseItem @QueryProjection constructor(
    val id: Long,
    val mediaGroup: String,
    val pid: String,
    val pidName: String,
    val type: AdMediaPartnerType,
    val utmSource: String,
    val utmMedium: String,
    val isActive: Boolean,
    val createdAt: String,
    var link: String
)
