package kr.co.vividnext.sodalive.audition

import com.querydsl.core.annotations.QueryProjection

data class GetAuditionListResponse(
    val inProgressCount: Int,
    val completedCount: Int,
    val items: List<GetAuditionListItem>
)

data class GetAuditionListItem @QueryProjection constructor(
    val id: Long,
    val title: String,
    val imageUrl: String,
    val isOff: Boolean
)
