package kr.co.vividnext.sodalive.live.signature

import kr.co.vividnext.sodalive.common.BaseEntity
import kr.co.vividnext.sodalive.member.Member
import javax.persistence.Entity
import javax.persistence.FetchType
import javax.persistence.JoinColumn
import javax.persistence.ManyToOne

@Entity
data class SignatureCan(
    var can: Int,
    var time: Int = 7,
    var isAdult: Boolean = false,
    var isActive: Boolean = true
) : BaseEntity() {
    var image: String? = null

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "creator_id", nullable = false)
    var creator: Member? = null
}
