package kr.co.vividnext.sodalive.notice

import com.querydsl.core.annotations.QueryProjection

data class GetNoticeResponse(
    val totalCount: Int,
    val noticeList: List<NoticeItem>
)

data class NoticeItem @QueryProjection constructor(
    val id: Long,
    val title: String,
    val content: String,
    val date: String
)
